package com.ruixuan.isc.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KuaishouRuleDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2023-05-15
 */
public interface KuaishouRuleDetailMapper
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public KuaishouRuleDetail selectKuaishouRuleDetailById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param kuaishouRuleDetail 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<KuaishouRuleDetail> selectKuaishouRuleDetailList(KuaishouRuleDetail kuaishouRuleDetail);

    /**
     * 新增【请填写功能名称】
     *
     * @param kuaishouRuleDetail 【请填写功能名称】
     * @return 结果
     */
    public int insertKuaishouRuleDetail(KuaishouRuleDetail kuaishouRuleDetail);

    /**
     * 修改【请填写功能名称】
     *
     * @param kuaishouRuleDetail 【请填写功能名称】
     * @return 结果
     */
    public int updateKuaishouRuleDetail(KuaishouRuleDetail kuaishouRuleDetail);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteKuaishouRuleDetailById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouRuleDetailByIds(Long[] ids);

    void addAll(@Param("adds") List<KuaishouRuleDetail> details);

    void deleteKuaishouRuleDetailByRuleId(@Param("id") Long id);

    List<KuaishouRuleDetail> getRuleDetailByRuleId(@Param("ruleId") Long ruleId);

    List<JSONObject> getPromoterRuleList(@Param("userId") Long userId,@Param("ruleName") String ruleName);

    List<JSONObject> getAllRuleList(@Param("userId") Long userId, @Param("ruleName") String ruleName);
}

